Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 3875)
@@ -199,4 +199,5 @@
       !! ** Method  :   Read the namelist namsbc_alb
       !!----------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namsbc_alb/ rn_cloud, rn_albice, rn_alphd, rn_alphdi, rn_alphc
       !!----------------------------------------------------------------------
@@ -204,6 +205,12 @@
       albd_init = 1                     ! indicate that the initialization has been done
       !
-      REWIND( numnam )                  ! Read Namelist namsbc_alb : albedo parameters
-      READ  ( numnam, namsbc_alb )
+      REWIND( numnam_ref )              ! Namelist namsbc_alb in reference namelist : Albedo parameters
+      READ  ( numnam_ref, namsbc_alb, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_alb in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsbc_alb in configuration namelist : Albedo parameters
+      READ  ( numnam_cfg, namsbc_alb, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_alb in configuration namelist', lwp )
+      WRITE ( numond, namsbc_alb )
       !
       IF(lwp) THEN                      ! Control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/cyclone.F90	(revision 3875)
@@ -103,7 +103,5 @@
          sn_tc = FLD_N( 'tc_track',     6     ,  'tc'     ,  .true.    , .false. ,   'yearly'  , ''       , ''         )
          !
-         !         REWIND( numnam )                    ! ... read in namlist namsbc_core
-         !         READ  ( numnam, namsbc_tc )
-         !
+         !  Namelist is read in namsbc_core
          ! set sf structure
          ALLOCATE( sf(1), STAT=ierror )
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcana.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcana.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcana.F90	(revision 3875)
@@ -64,4 +64,5 @@
       INTEGER, INTENT(in) ::   kt       ! ocean time step
       !
+      INTEGER  ::   ios                   ! Local integer output status for namelist read
       REAL(wp) ::   zfacto                ! local scalar
       REAL(wp) ::   zrhoa  = 1.22_wp      ! Air density kg/m3
@@ -74,6 +75,12 @@
       IF( kt == nit000 ) THEN
          !
-         REWIND( numnam )                    ! Read Namelist namsbc : surface fluxes
-         READ  ( numnam, namsbc_ana )
+         REWIND( numnam_ref )              ! Namelist namsbc_ana in reference namelist : Analytical surface fluxes
+         READ  ( numnam_ref, namsbc_ana, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ana in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist namsbc_ana in configuration namelist : Analytical surface fluxes
+         READ  ( numnam_cfg, namsbc_ana, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ana in configuration namelist', lwp )
+         WRITE ( numond, namsbc_ana )
          !
          IF(lwp) WRITE(numout,*)' '
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 3875)
@@ -65,4 +65,5 @@
       !!
       INTEGER            ::   ierror  ! local integer 
+      INTEGER            ::   ios     ! Local integer output status for namelist read
       !!
       CHARACTER(len=100) ::  cn_dir   ! Root directory for location of ssr files
@@ -83,6 +84,12 @@
          cn_dir  = './'          ! directory in which the Patm data are 
 
-         REWIND( numnam )                             !* read in namlist namsbc_apr
-         READ  ( numnam, namsbc_apr ) 
+         REWIND( numnam_ref )              ! Namelist namsbc_apr in reference namelist : File for atmospheric pressure forcing
+         READ  ( numnam_ref, namsbc_apr, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_apr in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist namsbc_apr in configuration namelist : File for atmospheric pressure forcing
+         READ  ( numnam_cfg, namsbc_apr, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_apr in configuration namelist', lwp )
+         WRITE ( numond, namsbc_apr )
          !
          ALLOCATE( sf_apr(1), STAT=ierror )           !* allocate and fill sf_sst (forcing structure) with sn_sst
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 3875)
@@ -124,6 +124,7 @@
       INTEGER, INTENT( in  ) ::   kt   ! ocean time step
       !!
-      INTEGER  ::   ifpr, jfpr   ! dummy indices
+      INTEGER  ::   ifpr, jfpr                   ! dummy indices
       INTEGER  ::   ierr0, ierr1, ierr2, ierr3   ! return error code
+      INTEGER  ::   ios                          ! Local integer output status for namelist read
       !!
       CHARACTER(len=100) ::  cn_dir                            !   Root directory for location of CLIO files
@@ -153,6 +154,12 @@
          sn_prec = FLD_N( 'precip' ,    -1     , 'precip' ,  .true.    , .false. ,   'yearly'  , ''       , ''       ) 
 
-         REWIND( numnam )                    ! ... read in namlist namsbc_clio
-         READ  ( numnam, namsbc_clio )
+         REWIND( numnam_ref )              ! Namelist namsbc_clio in reference namelist : CLIO files
+         READ  ( numnam_ref, namsbc_clio, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_clio in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist namsbc_clio in configuration namelist : CLIO files
+         READ  ( numnam_cfg, namsbc_clio, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_clio in configuration namelist', lwp )
+         WRITE ( numond, namsbc_clio )
 
          ! store namelist information in an array
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 3875)
@@ -122,4 +122,5 @@
       INTEGER  ::   ifpr     ! dummy loop indice
       INTEGER  ::   jfld     ! dummy loop arguments
+      INTEGER  ::   ios      ! Local integer output status for namelist read
       !!
       CHARACTER(len=100) ::  cn_dir   !   Root directory for location of core files
@@ -151,6 +152,13 @@
          sn_tdif = FLD_N( 'taudif' ,    24     , 'taudif' ,  .true.    , .false. ,   'yearly'  , ''       , ''       )
          !
-         REWIND( numnam )                          ! read in namlist namsbc_core
-         READ  ( numnam, namsbc_core )
+
+         REWIND( numnam_ref )              ! Namelist namsbc_core in reference namelist : CORE bulk parameters
+         READ  ( numnam_ref, namsbc_core, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_core in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist namsbc_core in configuration namelist : CORE bulk parameters
+         READ  ( numnam_cfg, namsbc_core, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_core in configuration namelist', lwp )
+         WRITE ( numond, namsbc_core )
          !                                         ! check: do we plan to use ln_dm2dc with non-daily forcing?
          IF( ln_dm2dc .AND. sn_qsr%nfreqh /= 24 )   & 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_mfs.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_mfs.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_mfs.F90	(revision 3875)
@@ -104,4 +104,5 @@
       INTEGER  :: ifpr     ! dummy loop indice
       INTEGER  :: jj,ji    ! dummy loop arguments
+      INTEGER  ::   ios    ! Local integer output status for namelist read
       REAL(wp) :: act_hour
       !!--------------------------------------------------------------------
@@ -147,6 +148,13 @@
             sn_prec = FLD_N( 'precip_cmap' ,  -1   ,  'precip'  ,  .true.    ,  .true. ,   'yearly'  , ''       , ''         )
             !
-            REWIND( numnam )                    ! ... read in namlist namsbc_mfs
-            READ  ( numnam, namsbc_mfs )
+
+            REWIND( numnam_ref )              ! Namelist namsbc_msf in reference namelist : MFS files
+            READ  ( numnam_ref, namsbc_mfs, IOSTAT = ios, ERR = 901)
+901         IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_mfs in reference namelist', lwp )
+
+            REWIND( numnam_cfg )              ! Namelist namsbc_msf in configuration namelist : MFS files
+            READ  ( numnam_cfg, namsbc_mfs, IOSTAT = ios, ERR = 902 )
+902         IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_mfs in configuration namelist', lwp )
+            WRITE ( numond, namsbc_mfs )
             !
             ! store namelist information in an array
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 3875)
@@ -221,4 +221,5 @@
       !!
       INTEGER ::   jn   ! dummy loop index
+      INTEGER ::   ios  ! Local integer output status for namelist read
       REAL(wp), POINTER, DIMENSION(:,:) ::   zacs, zaos
       !!
@@ -258,6 +259,12 @@
       sn_rcv_co2    = FLD_C( 'none'                ,    'no'    ,     ''      ,         ''          ,   ''    )
 
-      REWIND( numnam )                    ! ... read namlist namsbc_cpl
-      READ  ( numnam, namsbc_cpl )
+      REWIND( numnam_ref )              ! Namelist namsbc_cpl in reference namelist : Variables for OASIS coupling
+      READ  ( numnam_ref, namsbc_cpl, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_cpl in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsbc_cpl in configuration namelist : Variables for OASIS coupling
+      READ  ( numnam_cfg, namsbc_cpl, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_cpl in configuration namelist', lwp )
+      WRITE ( numond, namsbc_cpl )
 
       IF(lwp) THEN                        ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx.F90	(revision 3875)
@@ -77,4 +77,5 @@
       INTEGER  ::   ji, jj, jf            ! dummy indices
       INTEGER  ::   ierror                ! return error code
+      INTEGER  ::   ios                   ! Local integer output status for namelist read
       REAL(wp) ::   zfact                 ! temporary scalar
       REAL(wp) ::   zrhoa  = 1.22         ! Air density kg/m3
@@ -100,6 +101,12 @@
          sn_emp  = FLD_N(  'emp'  ,    24     ,  'emp'     ,  .false.   , .false. ,   'yearly'  , ''       , ''        )
          !
-         REWIND ( numnam )                         ! read in namlist namflx
-         READ   ( numnam, namsbc_flx ) 
+         REWIND( numnam_ref )              ! Namelist namsbc_flx in reference namelist : Files for fluxes
+         READ  ( numnam_ref, namsbc_flx, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_flx in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist namsbc_flx in configuration namelist : Files for fluxes
+         READ  ( numnam_cfg, namsbc_flx, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_flx in configuration namelist', lwp )
+         WRITE ( numond, namsbc_flx ) 
          !
          !                                         ! check: do we plan to use ln_dm2dc with non-daily forcing?
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 3875)
@@ -759,6 +759,13 @@
          sn_bot5 = FLD_N( 'botmeltn5_1m' ,    -1.    ,  'botmeltn5' ,  .true.    , .true.  ,  ' yearly'  , ''       , ''         )
 
-!         REWIND ( numnam )               ! ... at some point might read in from NEMO namelist?
-!         READ   ( numnam, namsbc_cice ) 
+! ... at some point might read in from NEMO namelist?
+!!$      REWIND( numnam_ref )              ! Namelist namsbc_cice in reference namelist : 
+!!$      READ  ( numnam_ref, namsbc_cice, IOSTAT = ios, ERR = 901)
+!!$901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_cice in reference namelist', lwp )
+!!$
+!!$      REWIND( numnam_cfg )              ! Namelist namsbc_cice in configuration namelist : Parameters of the run
+!!$      READ  ( numnam_cfg, namsbc_cice, IOSTAT = ios, ERR = 902 )
+!!$902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_cice in configuration namelist', lwp )
+!!$      WRITE ( numond, namsbc_cice )
 
          ! store namelist information in an array
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90	(revision 3875)
@@ -59,4 +59,5 @@
       INTEGER  ::   ji, jj     ! dummy loop indices
       INTEGER  ::   ierror     ! return error code
+      INTEGER  ::   ios        ! Local integer output status for namelist read
       REAL(wp) ::   ztrp, zsice, zt_fzp, zfr_obs
       REAL(wp) ::   zqri, zqrj, zqrp, zqi
@@ -76,6 +77,12 @@
          sn_ice = FLD_N('ice_cover',    -1    ,  'ice_cov' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
 
-         REWIND ( numnam )               ! ... read in namlist namiif
-         READ   ( numnam, namsbc_iif )
+         REWIND( numnam_ref )              ! Namelist namsbc_iif in reference namelist : Ice if file
+         READ  ( numnam_ref, namsbc_iif, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_iif in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist Namelist namsbc_iif in configuration namelist : Ice if file
+         READ  ( numnam_cfg, namsbc_iif, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_iif in configuration namelist', lwp )
+         WRITE ( numond, namsbc_iif )
 
          ALLOCATE( sf_ice(1), STAT=ierror )
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 3875)
@@ -87,4 +87,5 @@
          &             ln_blk_mfs, ln_apr_dyn, nn_ice,  nn_ice_embd, ln_dm2dc   , ln_rnf,   &
          &             ln_ssr    , nn_fwb    , ln_cdgw , ln_wave , ln_sdw
+      INTEGER  ::   ios
       !!----------------------------------------------------------------------
 
@@ -95,6 +96,12 @@
       ENDIF
 
-      REWIND( numnam )           ! Read Namelist namsbc
-      READ  ( numnam, namsbc )
+      REWIND( numnam_ref )              ! Namelist namsbc in reference namelist : Surface boundary
+      READ  ( numnam_ref, namsbc, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsbc in configuration namelist : Parameters of the run
+      READ  ( numnam_cfg, namsbc, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc in configuration namelist', lwp )
+      WRITE ( numond, namsbc )
 
       !                          ! overwrite namelist parameter using CPP key information
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 3875)
@@ -245,4 +245,5 @@
       INTEGER           ::   ji, jj, jk    ! dummy loop indices
       INTEGER           ::   ierror, inum  ! temporary integer
+      INTEGER           ::   ios           ! Local integer output status for namelist read
       !
       NAMELIST/namsbc_rnf/ cn_dir, ln_rnf_emp, ln_rnf_depth, ln_rnf_tem, ln_rnf_sal,   &
@@ -264,6 +265,12 @@
       sn_dep_rnf = FLD_N( 'runoffs',   0.  , 'rodepth'  ,  .FALSE.   , .true. ,   'yearly'  , ''    , ''  )
       !
-      REWIND ( numnam )                         ! Read Namelist namsbc_rnf
-      READ   ( numnam, namsbc_rnf )
+      REWIND( numnam_ref )              ! Namelist namsbc_rnf in reference namelist : Runoffs 
+      READ  ( numnam_ref, namsbc_rnf, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_rnf in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsbc_rnf in configuration namelist : Runoffs
+      READ  ( numnam_cfg, namsbc_rnf, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_rnf in configuration namelist', lwp )
+      WRITE ( numond, namsbc_rnf )
       !
       !                                         ! Control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 3875)
@@ -79,5 +79,4 @@
       CHARACTER(len=100) ::  cn_dir          ! Root directory for location of ssr files
       TYPE(FLD_N) ::   sn_sst, sn_sss        ! informations about the fields to be read
-      NAMELIST/namsbc_ssr/ cn_dir, nn_sstr, nn_sssr, rn_dqdt, rn_deds, sn_sst, sn_sss, ln_sssr_bnd, rn_sssr_bnd
       !!----------------------------------------------------------------------
       !
@@ -164,4 +163,5 @@
       TYPE(FLD_N) ::   sn_sst, sn_sss        ! informations about the fields to be read
       NAMELIST/namsbc_ssr/ cn_dir, nn_sstr, nn_sssr, rn_dqdt, rn_deds, sn_sst, sn_sss, ln_sssr_bnd, rn_sssr_bnd
+      INTEGER     ::  ios
       !!----------------------------------------------------------------------
       !
@@ -173,7 +173,13 @@
       sn_sst = FLD_N( 'sst'    ,    24     ,  'sst'     ,  .false.   , .false. ,   'yearly'  , ''       , ''         )
       sn_sss = FLD_N( 'sss'    ,    -1     ,  'sss'     ,  .true.    , .false. ,   'yearly'  , ''       , ''         )
-
-      REWIND( numnam )             !* read in namlist namflx
-      READ  ( numnam, namsbc_ssr ) 
+ 
+      REWIND( numnam_ref )              ! Namelist namsbc_ssr in reference namelist : 
+      READ  ( numnam_ref, namsbc_ssr, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ssr in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsbc_ssr in configuration namelist :
+      READ  ( numnam_cfg, namsbc_ssr, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ssr in configuration namelist', lwp )
+      WRITE ( numond, namsbc_ssr )
 
       IF(lwp) THEN                 !* control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 3875)
@@ -67,4 +67,5 @@
       INTEGER                ::  ierror   ! return error code
       INTEGER                ::  ifpr, jj,ji,jk 
+      INTEGER                ::   ios     ! Local integer output status for namelist read
       REAL(wp),DIMENSION(:,:,:),POINTER             ::  udummy,vdummy,hdivdummy,rotdummy
       REAL                                          ::  z2dt,z1_2dt
@@ -92,7 +93,12 @@
          cn_dir = './'          ! directory in which the wave data are 
          
-
-         REWIND( numnam )                             !* read in namlist namsbc_wave
-         READ  ( numnam, namsbc_wave ) 
+         REWIND( numnam_ref )              ! Namelist namsbc_wave in reference namelist : File for drag coeff. from wave model
+         READ  ( numnam_ref, namsbc_wave, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_wave in reference namelist', lwp )
+
+         REWIND( numnam_cfg )              ! Namelist namsbc_wave in configuration namelist : File for drag coeff. from wave model
+         READ  ( numnam_cfg, namsbc_wave, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_wave in configuration namelist', lwp )
+         WRITE ( numond, namsbc_wave )
          !
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 3875)
@@ -46,4 +46,5 @@
     INTEGER, INTENT( in ) ::   kt     ! ocean time-step
     CHARACTER(LEN=4), DIMENSION(jpmax_harmo) :: clname
+    INTEGER  ::   ios                 ! Local integer output status for namelist read
     !
     NAMELIST/nam_tide/ln_tide_pot, ln_tide_ramp, rdttideramp, clname
@@ -63,6 +64,12 @@
        !
        ! Read Namelist nam_tide
-       REWIND ( numnam )
-       READ   ( numnam, nam_tide )
+       REWIND( numnam_ref )              ! Namelist nam_tide in reference namelist : Tides
+       READ  ( numnam_ref, nam_tide, IOSTAT = ios, ERR = 901)
+901    IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_tide in reference namelist', lwp )
+
+       REWIND( numnam_cfg )              ! Namelist nam_tide in configuration namelist : Tides
+       READ  ( numnam_cfg, nam_tide, IOSTAT = ios, ERR = 902 )
+902    IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_tide in configuration namelist', lwp )
+       WRITE ( numond, nam_tide )
        !
        nb_harmo=0
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 3875)
@@ -51,4 +51,5 @@
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) :: kt
+      INTEGER             ::   ios       ! Local integer output status for namelist read
       !!
       NAMELIST/namsol/ nn_solv, nn_sol_arp, nn_nmin, nn_nmax, nn_nmod, rn_eps, rn_resmax, rn_sor
@@ -62,6 +63,12 @@
       ENDIF
 
-      REWIND( numnam )              !* Namelist namsol : elliptic solver / free surface
-      READ  ( numnam, namsol )
+      REWIND( numnam_ref )              ! Namelist namsol in reference namelist : Elliptic solver / free surface
+      READ  ( numnam_ref, namsol, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsol in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsol in configuration namelist : Elliptic solver / free surface
+      READ  ( numnam_cfg, namsol, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsol in configuration namelist', lwp )
+      WRITE ( numond, namsol )
 
       IF(lwp) THEN                  !* Control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 3875)
@@ -708,7 +708,14 @@
       NAMELIST/nameos/ nn_eos, rn_alpha, rn_beta
       !!----------------------------------------------------------------------
-      !
-      REWIND( numnam )            ! Read Namelist nameos : equation of state
-      READ  ( numnam, nameos )
+      INTEGER  ::   ios
+      !
+      REWIND( numnam_ref )              ! Namelist nameos in reference namelist : equation of state
+      READ  ( numnam_ref, nameos, IOSTAT = ios, ERR = 901 )
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nameos in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nameos in configuration namelist : equation of state
+      READ  ( numnam_cfg, nameos, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nameos in configuration namelist', lwp )
+      WRITE( numond, nameos )
       !
       IF(lwp) THEN                ! Control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 3875)
@@ -151,4 +151,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio
+      INTEGER ::   ios                 ! Local integer output status for namelist read
       !!
       NAMELIST/namtra_adv/ ln_traadv_cen2 , ln_traadv_tvd,     &
@@ -158,6 +159,12 @@
       !!----------------------------------------------------------------------
 
-      REWIND( numnam )                ! Read Namelist namtra_adv : tracer advection scheme
-      READ  ( numnam, namtra_adv )
+      REWIND( numnam_ref )              ! Namelist namtra_adv in reference namelist : Tracer advection scheme
+      READ  ( numnam_ref, namtra_adv, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_adv in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namtra_adv in configuration namelist : Tracer advection scheme
+      READ  ( numnam_cfg, namtra_adv, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_adv in configuration namelist', lwp )
+      WRITE ( numond, namtra_adv )
 
       IF(lwp) THEN                    ! Namelist print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 3875)
@@ -129,10 +129,17 @@
       INTEGER  ::   ji, jj              ! dummy loop indices
       INTEGER  ::   inum                ! temporary logical unit
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!
       NAMELIST/nambbc/ln_trabbc, nn_geoflx, rn_geoflx_cst 
       !!----------------------------------------------------------------------
 
-      REWIND( numnam )                 ! Read Namelist nambbc : bottom momentum boundary condition
-      READ  ( numnam, nambbc )
+      REWIND( numnam_ref )              ! Namelist nambbc in reference namelist : Bottom momentum boundary condition
+      READ  ( numnam_ref, nambbc, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbc in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nambbc in configuration namelist : Bottom momentum boundary condition
+      READ  ( numnam_cfg, nambbc, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbc in configuration namelist', lwp )
+      WRITE ( numond, nambbc )
 
       IF(lwp) THEN                     ! Control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 3875)
@@ -560,4 +560,5 @@
       INTEGER ::   ji, jj               ! dummy loop indices
       INTEGER ::   ii0, ii1, ij0, ij1   ! temporary integer
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       REAL(wp), POINTER, DIMENSION(:,:) :: zmbk
       !!
@@ -570,6 +571,12 @@
       !
 
-      REWIND ( numnam )              !* Read Namelist nambbl : bottom boundary layer scheme
-      READ   ( numnam, nambbl )
+      REWIND( numnam_ref )              ! Namelist nambbl in reference namelist : Bottom boundary layer scheme
+      READ  ( numnam_ref, nambbl, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbl in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nambbl in configuration namelist : Bottom boundary layer scheme
+      READ  ( numnam_cfg, nambbl, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbl in configuration namelist', lwp )
+      WRITE ( numond, nambbl )
       !
       l_bbl = .TRUE.                 !* flag to compute bbl coef and transport
